Skip to main content
GET
/
api
/
v1
/
aggregated-brand-sources
Brand Sources Metrics
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/aggregated-brand-sources \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 123,
  "items": [
    {
      "domain": "<string>",
      "is_ranked": true,
      "is_citation": true,
      "engines": [
        "<string>"
      ],
      "visibility_score": 123,
      "is_my_domain": true,
      "nb_total_results": 123,
      "nb_my_brand_mentions": 123,
      "presence_rate": 123,
      "presence_rate_occurrences": 123,
      "presence_rate_total": 123,
      "rank_or_citation_type": "<string>",
      "url": "<string>",
      "nb_urls": 123,
      "nb_urls_prev_collect": 123,
      "nb_total_results_prev_collect": 123,
      "nb_my_brand_mentions_prev_collect": 123,
      "presence_rate_prev_collect": 123,
      "presence_rate_occurrences_prev_collect": 123,
      "presence_rate_total_prev_collect": 123,
      "avg_ranking": 123,
      "avg_ranking_prev_collect": 123,
      "competitor_type": "<string>",
      "new_sentiment_score": 123,
      "new_sentiment_positive_pct": 123,
      "new_sentiment_negative_pct": 123,
      "new_sentiment_neutral_pct": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

group_by
enum<string>
default:domain
Available options:
domain,
url
filter_type
enum<string>
default:all
Available options:
all,
source,
link
prev_collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
page_number
integer | null
rows_per_page
integer | null
search_query
string | null
sort_column
enum<string> | null
Available options:
competitor_type,
domain,
url,
type,
engines,
visibility_score,
nb_urls,
nb_total_results,
nb_my_brand_mentions,
presence_rate,
avg_ranking,
sentiment_score,
keyword_text,
ranks
sort_direction
enum<string> | null
Available options:
asc,
desc
domain
string | null
project_id
string
required

Project Id

collect_ids
string[]

Collect Ids

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
client_id
string
required

Client id

thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand
competitor_types
enum<string>[] | null

Competitor Types

Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN

Response

Successful Response

total_count
integer
required
items
AggregatedBrandSourcesResponse · object[]
required